/*
ansi.h Wordle9511, ejemplo de juego sobrediseñado con TDAs.
Copyright (C) 2022 Sebastian Santisi <ssantisi@fi.uba.ar>
*/
#ifndef COLORES_H
#define COLORES_H

typedef enum {COLOR_NEGRO, COLOR_ROJO_OSCURO, COLOR_VERDE_OSCURO, COLOR_AMARILLO_OSCURO, COLOR_AZUL_OSCURO, COLOR_VIOLETA, COLOR_PETROLEO, COLOR_GRIS_CLARO, COLOR_GRIS, COLOR_ROJO, COLOR_VERDE, COLOR_AMARILLO, COLOR_AZUL, COLOR_MAGENTA, COLOR_CIAN, COLOR_BLANCO} ansi_colores_t;

// Setea la terminal con el color de frente y de fondo dados
void ansi_color(ansi_colores_t frente, ansi_colores_t fondo);

// Reinicia los parámetros de la terminal
void ansi_reset_color();

#endif
