/*
interaccion.h Wordle9511, ejemplo de juego sobrediseñado con TDAs.
Copyright (C) 2022 Sebastian Santisi <ssantisi@fi.uba.ar>
*/
#ifndef INTERACCION_H
#define INTERACCION_H

#include "diccionario.h"
#include "letra.h"

#include <stddef.h>

// Lee y devuelve una palabra leída desde stdin tal que esté en d. La palabra
// se convierte a mayúsculas.
char *leer_palabra(diccionario_t *d);

// Imprime la convención de colores del juego
void imprimir_ayuda();

// Imprime un texto s
void imprimir_texto(const char *s);

// Imprime un vector de n letras
void imprimir_letras(letra_t * const letras[], size_t n);

#endif
